PostgreSQL 7.1.3 Documentation
Prev |  | Next

# set_defport

## Name

set_defport -- set default port [DV]

## Synopsis

    set_defport(port)

### Parameters

`port`

  New default host (integer/-1).

### Return Type

integer or None

  Previous default port specification.

### Exceptions

TypeError

  Bad argument type, or too many arguments.

## Description

`set_defport()` sets the default port value for new connections. If -1 is supplied as parameter, environment variables will be used in future connections. It returns the previous setting for default port.

Prev | Home | Next
get_defport | Up | get_defopt